Subject: bug#24739: 25.1; conf-mode can't handle non escaped single quotes

From: Noam Postavsky <[email-masked]>
Date: Sat, 27 Jul 2019 12:53:18 -0400

Lars Ingebrigtsen <[email-masked]> writes:

>> firstProperty=Hi I'm Diego
>> secondProperty=I have a stringquote style.

> No font-lock-string-face in sight, and there's no mention of it in the
> file.  So is this some general font-lock thing that's configured
> somewhere else?  Anybody know how this stuff works?

font-lock-string-face comes from font-lock-syntactic-face-function,
because ' has string delimiter syntax in conf-mode (see
conf-mode-syntax-table).  I think it should be possible to make a
syntax-propertize rule that catches unmatched quotes and sets them to
punctuation syntax.  We do something similar in sgml-syntax-propertize.